Complexity:
Subject: How to receive the correct class name for an object?
Description

Currently there is no helper method to find the correct class name of a given object. The reflection service should provide such a
method.

For now I would say we only have to handle doctrine lazy loading proxies and return the parente class for them.

Can someone imagine different situations where get_class($object) does not return the correct (expected) class name from a users
perspective?

Related issues:
related to TYPO3.Comments - Bug # 34763: Occurence of proxied object Resolved 2012-03-12
duplicated by TYPO3.Flow - Feature # 34783: Provide utility method to get unp... Closed 2012-03-13

Associated revisions
Revision 5938c224 - 2012-02-29 23:48 - Andreas Förthner

[TASK] Add utility function to retrieve class names for objects

Resolves: #34426
Releases: 1.1
Change-Id: I768171f2f1d402be0846c7f794669ffb7d1125e2

History
#1 - 2012-02-29 23:48 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9312

#2 - 2012-05-10 15:11 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
